Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 808027 - [EAP6] support for jboss.server.{default,domain,host}.config properties
Summary: [EAP6] support for jboss.server.{default,domain,host}.config properties
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Agent
Version: 4.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: RHQ 4.4.0
Assignee: Charles Crouch
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: as7-plugin
TreeView+ depends on / blocked
 
Reported: 2012-03-29 11:36 UTC by Libor Zoubek
Modified: 2015-11-02 00:42 UTC (History)
3 users (show)

Fixed In Version: 4.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-31 10:13:31 UTC


Attachments (Terms of Use)

Description Libor Zoubek 2012-03-29 11:36:03 UTC
Description of problem: To start EAP6 in standalone mode with full profile, user must change -Djboss.server.default.config in standalone.conf file. Currently RHQ is not able to correctly detect such started server. 

Similar situation is for domain.conf and properties jboss.server.host.config 
jboss.server.domain.config

Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: 559098b
EAP6 Beta1

How reproducible:always


Steps to Reproduce (for jboss.server.default.config):
1.unzip EAP6
2.edit <eap home>/bin/standalone.conf, change value of jboss.server.default.config to standalone-full.xml
3.start EAP6
4. inventory it into RHQ
  
Actual results: EAP6 is inventoried but is offline, in connection settings, 'Configuration' path is not correct. Same would apply for 


Expected results:RHQ detects correct path co configuration and server is correctly imported


Additional info:

Comment 1 Mike Foley 2012-04-02 15:32:42 UTC
per BZ triage 4/2/2012 HIGH

Comment 2 Ian Springer 2012-04-16 19:31:38 UTC
Fixed in master: 

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=4c38f96

This can be tested as follows:

standalone
----------
./standalone.sh --server-config=standalone-full.xml
# also try:
./standalone.sh -c standalone-full.xml
# and:
./standalone.sh -c=standalone-full.xml

domain
------
cd domain/configuration
cp domain.xml domain2.xml
cp host.xml host2.xml
cd ../../bin
./domain.sh --domain-config=domain2.xml --host-config=host2.xml
# also try:
./domain.sh -c domain2.xml --host-config=host2.xml
# and:
./domain.sh -c=domain2.xml --host-config=host2.xml

After starting the server instances, run "discovery --verbose" from the Agent command prompt and verify that the *config plugin config props got set correctly.

Comment 4 Heiko W. Rupp 2013-08-31 10:13:31 UTC
Bulk close of old bugs in VERIFIED state.


Note You need to log in before you can comment on or make changes to this bug.